<?php defined('BASEPATH') OR exit('No direct script access allowed');

require_once(str_replace("\\","/",APPPATH).'helpers/Secure_area_adm.php');
class Rekam_medis extends Secure_area_adm {

	public function __construct()
	{
		parent::__construct();
		$data['jenis_page'] = "front_office/";
		$data['controller_dir'] = 'reg_dir/';
		$data['controller'] = 'rekam_medis';
		$data['parent_controller'] = 'rekam_medis';
		$data['active'] = 'registrasi';
		//$data['smt_aktif'] = $this->db->get_where('pddikti_re_semester',array('a_smt_aktif'=>'1'))->row();
		$this->load->vars($data);
	}

	public function index()
	{
		//echo $this->session->userdata('id_cabang');
		//echo $this->session->userdata('userid');
		$data['judul'] ='Rekam Medis';
		$data['page']  ='registrasi/rekam_medis/master';
		$data['desc_judul'] ='Menampilkan dan Mengelola Data Rekam Medis Pasien';

		$data['breadcumb'][] = array('icon'=>'paste',
																 'link'=>site_url('front_office/reg_dir/registrasi'),
																 'judul'=>'Registrasi');

		$data['breadcumb'][] = array('icon'=>'files-o',
																 'link'=>'',
																 'judul'=>'Rekam Medis');

		//echo $this->session->userdata('userid');
		$this->load->view('template',$data);
	}

  public function buka_rekam_medis() 
	{
		$data['judul'] = 'Detail Rekam Medis';
		$data['desc_judul'] = 'Menampilkan Detail Data Rekam Medis';
		$data['page'] = 'registrasi/rekam_medis/detail';

		$data['breadcumb'][] = array('icon'=>'paste',
																 'link'=>site_url('front_office/reg_dir/registrasi'),
																 'judul'=>'Registrasi');

		$data['breadcumb'][] = array('icon'=>'files-o',
												 			   'link'=>site_url('front_office/reg_dir/rekam_medis'),
															   'judul'=>'Rekam Medis');

		$data['breadcumb'][] = array('icon'=>'folder-open',
															   'link'=>'',
															   'judul'=>$data['judul']);	
 
		$this->load->view('template',$data);
	}

	public function tambah_rekam_medis() 
	{
		$data['judul'] = 'Tambah Data Rekam Medis';
		$data['desc_judul'] = 'Menambahkan Data Rekam Medis';
		$data['page'] = 'registrasi/rekam_medis/add';

		$data['breadcumb'][] = array('icon'=>'paste',
																 'link'=>site_url('front_office/reg_dir/registrasi'),
																 'judul'=>'Registrasi');

		$data['breadcumb'][] = array('icon'=>'files-o',
												 			   'link'=>site_url('front_office/reg_dir/rekam_medis'),
															   'judul'=>'Rekam Medis');

		$data['breadcumb'][] = array('icon'=>'plus',
															   'link'=>'',
															   'judul'=>$data['judul']);	

		$this->load->view('template',$data);
	}

	public function edit_rekam_medis()
	{
		$data['judul'] = 'Edit Data Rekam Medis';
		$data['desc_judul'] = 'Mengubah Data Rekam Medis';
		$data['page'] = 'registrasi/rekam_medis/edit';

		$data['breadcumb'][]=array('icon'=>'paste',
												 			 'link'=>site_url('front_office/reg_dir/registrasi'),
															 'judul'=>'Registrasi');

		$data['breadcumb'][] = array('icon'=>'files-o',
												 			   'link'=>site_url('front_office/reg_dir/rekam_medis'),
															   'judul'=>'Rekam Medis');

		$data['breadcumb'][]=array('icon'=>'edit',
															 'link'=>'',
															 'judul'=>$data['judul']);													 	

		$this->load->view('template',$data);		
	}

	public function hapus_rekam_medis() 
	{
		$data['judul'] = 'Hapus Data Rekam Medis';
		$data['desc_judul'] = 'Menghapus Data Rekam Medis';
		$data['page'] = 'registrasi/rekam_medis/hapus';

		$data['breadcumb'][]=array('icon'=>'paste',
												 			 'link'=>site_url('front_office/reg_dir/registrasi'),
															 'judul'=>'Registrasi');

		$data['breadcumb'][] = array('icon'=>'files-o',
												 			   'link'=>site_url('front_office/reg_dir/rekam_medis'),
															   'judul'=>'Rekam Medis');		

		$data['breadcumb'][]=array('icon'=>'trash',
															 'link'=>'',
															 'judul'=>$data['judul']);	

		$this->load->view('template',$data);
	}	
  
}